import * as VAPI from "vapi";
import { Logger } from "vscript";
type VideoDelayParams = {
    delay: {
        variant: "Time";
        value: VAPI.VideoPlayer.TimeSettings;
    } | {
        variant: "Frames";
        value: VAPI.VideoPlayer.FramesSettings;
    };
    log: Logger;
    delay_mode: VAPI.VideoRePlay.DelayMode;
};
export declare function delay_video(src: VAPI.AT1130.Video.Essence | VAPI.AT1101.Video.Essence, params?: Partial<VideoDelayParams>): Promise<VAPI.AT1101.VideoRePlay.DelayAsNamedTableRow | VAPI.AT1130.VideoRePlay.DelayAsNamedTableRow>;
type AudioDelayParams = {
    delay: {
        variant: "Time";
        value: VAPI.AudioRePlay.TimeSettings;
    } | {
        variant: "Samples";
        value: VAPI.AudioRePlay.SamplesSettings;
    };
    log: Logger;
    audio_follow_video: boolean;
    dolby_e_aligner: boolean;
    measurement_reference: VAPI.AT1130.Video.Essence | VAPI.AT1101.Video.Essence | null;
};
export declare function delay_audio(src: VAPI.AT1130.Audio.Essence | VAPI.AT1101.Audio.Essence, params?: Partial<AudioDelayParams>): Promise<VAPI.AT1101.AudioRePlay.DelayAsNamedTableRow | VAPI.AT1130.AudioRePlay.DelayAsNamedTableRow>;
export {};
